Data Structures | Typedefs | Enumerations | Variables

# linkgraph_type.h File Reference

Declaration of link graph types used for cargo distribution. More...

Go to the source code of this file.

## Data Structures
struct | EnumPropsT< DistributionType >
## Typedefs
typedef uint16 | LinkGraphComponentID
typedef uint | NodeID
typedef TinyEnumT < DistributionType > | DistributionTypeByte
## Enumerations
enum | DistributionType { DT_BEGIN = 0, DT_SYMMETRIC = 0, DT_ASYMMETRIC, DT_MANUAL, DT_NUM = 3, DT_END = 3 }
## Variables
static const LinkGraphComponentID | INVALID_LINKGRAPH_COMPONENT = UINT16_MAX
static const NodeID | INVALID_NODE = UINT_MAX

## Detailed Description

Declaration of link graph types used for cargo distribution.

Definition in file linkgraph_type.h.

## Enumeration Type Documentation

enum DistributionType

Enumerator:

  DT_SYMMETRIC | symmetric distribution. The same amount of cargo travels in each direction between each pair of nodes.
  DT_ASYMMETRIC | asymmetric distribution. Usually cargo will only travel in one direction.
  DT_MANUAL | manual distribution. No link graph calculations are run.

Definition at line 21 of file linkgraph_type.h.